/*************************************
 * Steven Stanek
 * July 5, 2001
 * YZRescuerFileReader.h
 *
 * Tasked with reading the YZRescuer data file
 * and storing it in the associated struct.
 *************************************/
 
#ifndef YZRescuerFileReader_h_
#define YZRescuerFileReader_h_

#include "yziform.h"

#define DATA_FN		"YZRescuer.dat"

//Note images in file should be in this order
typedef struct
{
	yzImage backgroundImage, chopperImage, sharkImage, boatImage;
} file_data_t;


//Returns a pointer if success, null if failure
file_data_t *readRescuerFile(char *fn);

//Enables Fast Draw on all Images, must be called after window is created
void fastDrawAll(file_data_t *dFDAT);

//Frees associated Memory including the file_data_t pointed to
void emptyFileData(file_data_t *dFDAT);

#endif